From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-fabric/libmlx5/
Date: Sun, 15 Nov 2020 23:24:12 +0000 (UTC) [thread overview]
Message-ID: <1605482611.e33ca0f6b29eb486f137e70f371b9571e151a8ff.soap@gentoo> (raw)
commit: e33ca0f6b29eb486f137e70f371b9571e151a8ff
Author: Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Sun Nov 15 23:23:31 2020 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Nov 15 23:23:31 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e33ca0f6
sys-fabric/libmlx5: disable static libs and Werror
Closes: https://bugs.gentoo.org/686100
Closes: https://bugs.gentoo.org/732220
Closes: https://github.com/gentoo/gentoo/pull/18272
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>
sys-fabric/libmlx5/libmlx5-1.0.1.ebuild | 27 +++++++++++++++++++--------
1 file changed, 19 insertions(+), 8 deletions(-)
diff --git a/sys-fabric/libmlx5/libmlx5-1.0.1.ebuild b/sys-fabric/libmlx5/libmlx5-1.0.1.ebuild
index 4b7a5b45ba8..52884509e40 100644
--- a/sys-fabric/libmlx5/libmlx5-1.0.1.ebuild
+++ b/sys-fabric/libmlx5/libmlx5-1.0.1.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI="5"
+EAPI=6
OFED_VER="3.12"
OFED_RC="1"
@@ -12,11 +12,22 @@ inherit openib
DESCRIPTION="OpenIB userspace driver for Mellanox ConnectIB HCA"
KEYWORDS="amd64 ~x86 ~amd64-linux"
-IUSE=""
-DEPEND="
- sys-fabric/libibverbs:${SLOT}
- "
-RDEPEND="
- !sys-fabric/openib-userspace"
+DEPEND="sys-fabric/libibverbs:${SLOT}"
+RDEPEND="!sys-fabric/openib-userspace"
block_other_ofed_versions
+
+src_prepare() {
+ default
+
+ sed -i -e '/CFLAGS=\"$CFLAGS -Werror\"/d' configure || die
+}
+
+src_configure() {
+ econf --disable-static
+}
+
+src_install() {
+ default
+ find "${ED}" -name '*.la' -delete || die
+}
next reply other threads:[~2020-11-15 23:24 UTC|newest]
Thread overview: 3+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-11-15 23:24 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-05-16 19:53 [gentoo-commits] repo/gentoo:master commit in: sys-fabric/libmlx5/ Sam James
2018-04-23 0:24 Aaron Bauman
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1605482611.e33ca0f6b29eb486f137e70f371b9571e151a8ff.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox